Jump to content
  • 0
cheribibi14

Module invisible

Question

Suite à l'installation de prestashop 1.4 dans l'admin impossible d'afficher les modules
je reçois la ligne suivante:
Fatal error: Class GridExtJS contains 1 abstract method and must therefore be declared abstract or implement the remaining methods (ModuleGridEngineCore::setLimit) in /mnt/162/sdd/f/6/thierry.binard/classes/Module.php(408) : eval()'d code on line 16
Merci pour votre aide

Share this post


Link to post
Share on other sites

17 answers to this question

Recommended Posts

  • 0

je n'ai installer aucun modules hormis ceux de la version 1.4 télécharger sous prestashop,je penses que l'erreur viens d'ailleurs ,j'ai refait une installe toujours le même souci
merci de votre réponse

Share this post


Link to post
Share on other sites
  • 0

Vous avez refait une installation complète ou seulement les modules ?

car peut être est ce simplement un fichier classe qui serait mal chargé.

Share this post


Link to post
Share on other sites
  • 0

Fatal error: Class GridExtJS contains 1 abstract method and must therefore be declared abstract or implement the remaining methods (ModuleGridEngineCore::setLimit) in /mnt/162/sdd/f/6/thixxx.xxxardd/classes/Module.php(408) : eval()'d code on line 16
ligne en erreur
malgré une réinstallation

Share this post


Link to post
Share on other sites
  • 0

Bonjour,

Même problème, même erreur...

Il semblerait qu'il faille désactiver des modules, il y en a trop et même en allouant 64 Mo à la memory size, ça ne fonctionne pas.

La question que je me pose est "quels sont les modules que je vais désactiver ?"...
Je n'arrive pas à trouver à quoi servent les différents modules installés de base dans la version 1.4 : "authorizeaim, bankwire, birthdaypresent, ...".

Existe-t-il une liste exhaustive quelque part ?

Bonne journée à tous,
Rémy.

Share this post


Link to post
Share on other sites
  • 0

Bonjour Tanaka,
Je ne trouve pas gridextjs... Moi j'ai un rép. "gridhtml" et ça ne change rien au problème si je le supprime.
C'est bien la version 1.4.0.17 que tu as ?

Share this post


Link to post
Share on other sites
  • 0

Bonjour Rémy,

Oui il s'agit bien de la version 1.4.0.17. Mais comme j'ai effectué une mise à jour de 1.3 vers 1.4, le module gridextjs est un "reliquat" de la version 1.3.

Share this post


Link to post
Share on other sites
  • 0

Ha d'accord Ok.
Finalement j'ai réussi à passer le memory_size à 64 Mo et maintenant tout s'affiche.
Bonne journée Tanaka et merci pour ta contribution.

Share this post


Link to post
Share on other sites
  • 0

Bonjour Tanaka,

Ca veut dire quoi que le module gridextjs est un reliquat de la version 1.3 ?
J'ai ce souci seulement quand j'installe gridextjs..

Merci d'avance

Share this post


Link to post
Share on other sites
  • 0

Bonjour,

 

J'ai eu le même problème (aucun module affiché et message d'erreur) en faisant une mise à jour de 1.3 vers 1.4.7

J'ai renommé (juste pour ne pas le supprimer) le fichier gridextjs.php :

- la liste des modules s'est affichée

- le message d'erreur a disparu

A noter que dans la version 1.4.7, il n'ya pas de fichier gridextjs.php

 

Patrick

Share this post


Link to post
Share on other sites
  • 0

Bonjour,

 

Même problème, installation de la v 1.4.7.2, vierge, sur un hébergement et une bdd vierge, aucune modif ni config ni module supplémentaire, et dans l'onglet Modules la page est blanche, aucun module n'est visible. Pas de message d'erreur non plus.

J'ai essayé les modifs citées ci-dessus (modifier le nom du dossier puis du fichier grid...) mais rien n'y fait.

 

C'est un peu bizarre pour une install vierge non? Je repasse sur la version 1.4.6.2 qui elle fonctionne très bien.

Share this post


Link to post
Share on other sites
  • 0
Guest scorto   
Guest scorto

Bonjour,

J'ai le même problème que New-newbie, as tu trouvé la solution?

Merci

Share this post


Link to post
Share on other sites
  • 0

Bonjour,

 

Pour le problème sur la 1.4.7.2, c'est un module livré par défaut qui provoque cette erreur.

 

J'ai déjà répondu dans un autre post que je ne retrouve plus mais affichez les erreurs et vous retrouverez son nom.

 

Cordialement

Share this post


Link to post
Share on other sites
  • 0

J'ai retrouvé le post, il s'agit du module : PaySafeCard

 

Je ne sais pas si cela a été corrigé dans la 1.4.7.3

 

Bonne journée

 

Cordialement

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×